curl --request POST \
--url https://app.fullenrich.com/api/v2/people/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offset": 0,
"limit": 20,
"search_after": "WzE1LjUzNDU2MywiYjQ5MDBiYmQtOTg5MS01Mzk1LWIyODUtOWEyOGNiZThjOTM3Il0=",
"current_company_names": [
{
"value": "Anthropic",
"exact_match": true,
"exclude": false
},
{
"value": "OpenAI",
"exact_match": true,
"exclude": false
}
],
"current_company_domains": [
{
"value": "google.com",
"exact_match": true,
"exclude": false
}
],
"current_company_professional_network_ids": [
{
"value": 1234,
"exact_match": true,
"exclude": false
}
],
"current_company_professional_network_urls": [
{
"value": "https://www.linkedin.com/company/fullenrich",
"exact_match": true,
"exclude": false
}
],
"current_company_specialties": [
{
"value": "artificial intelligence",
"exact_match": true,
"exclude": false
}
],
"current_company_industries": [
{
"value": "Software Development",
"exact_match": false,
"exclude": false
},
{
"value": "Computer Hardware Manufacturing",
"exact_match": false,
"exclude": false
}
],
"past_company_names": [
{
"value": "Meta",
"exact_match": true,
"exclude": false
}
],
"past_company_domains": [
{
"value": "facebook.com",
"exact_match": true,
"exclude": false
}
],
"current_company_types": [
{
"value": "Public Company",
"exact_match": true,
"exclude": false
}
],
"current_company_headquarters": [
{
"value": "San Francisco",
"exact_match": false,
"exclude": false
},
{
"value": "New York",
"exact_match": false,
"exclude": false
}
],
"current_company_headcounts": [
{
"min": 50,
"max": 200,
"exclude": false
},
{
"min": 1000,
"max": 5000,
"exclude": false
}
],
"current_company_founded_years": [
{
"min": 2020,
"max": 2024,
"exclude": false
}
],
"current_company_ids": [
{
"value": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"exclude": false,
"exact_match": true
}
],
"person_ids": [
{
"value": "746e4816-19c8-54d8-b558-65a5a52cc85c",
"exclude": false,
"exact_match": true
}
],
"person_names": [
{
"value": "John Smith",
"exact_match": false,
"exclude": false
}
],
"person_professional_network_ids": [
{
"value": 1234,
"exact_match": true,
"exclude": false
}
],
"person_professional_network_urls": [
{
"value": "https://www.linkedin.com/in/john-doe",
"exact_match": true,
"exclude": false
}
],
"person_locations": [
{
"value": "San Francisco",
"exact_match": false,
"exclude": false
},
{
"value": "California",
"exact_match": false,
"exclude": false
}
],
"person_languages": [
{
"value": "English",
"exact_match": false,
"exclude": false
},
{
"value": "French",
"exact_match": false,
"exclude": false
}
],
"person_skills": [
{
"value": "JavaScript",
"exact_match": false,
"exclude": false
},
{
"value": "Python",
"exact_match": false,
"exclude": false
},
{
"value": "Project Management",
"exact_match": false,
"exclude": false
}
],
"current_position_seniority_level": [
{
"value": "Director",
"exact_match": false,
"exclude": false
},
{
"value": "VP",
"exact_match": false,
"exclude": false
}
],
"current_position_job_functions": [
{
"value": "Software Development",
"exact_match": false,
"exclude": false
}
],
"current_position_sub_functions": [
{
"value": "Freelancer",
"exact_match": false,
"exclude": false
}
],
"current_position_titles": [
{
"value": "Chief Technology Officer",
"exact_match": false,
"exclude": false
},
{
"value": "VP of Engineering",
"exact_match": false,
"exclude": false
}
],
"past_position_titles": [
{
"value": "Software Engineer",
"exact_match": false,
"exclude": false
}
],
"current_position_years_in": [
{
"min": 0,
"max": 1,
"exclude": false
}
],
"current_company_years_at": [
{
"min": 2,
"max": 5,
"exclude": false
}
],
"person_universities": [
{
"value": "Stanford University",
"exact_match": false,
"exclude": false
},
{
"value": "MIT",
"exact_match": false,
"exclude": false
}
],
"current_company_days_since_last_job_change": [
{
"min": 0,
"max": 90,
"exclude": false
}
]
}
'import requests
url = "https://app.fullenrich.com/api/v2/people/search"
payload = {
"offset": 0,
"limit": 20,
"search_after": "WzE1LjUzNDU2MywiYjQ5MDBiYmQtOTg5MS01Mzk1LWIyODUtOWEyOGNiZThjOTM3Il0=",
"current_company_names": [
{
"value": "Anthropic",
"exact_match": True,
"exclude": False
},
{
"value": "OpenAI",
"exact_match": True,
"exclude": False
}
],
"current_company_domains": [
{
"value": "google.com",
"exact_match": True,
"exclude": False
}
],
"current_company_professional_network_ids": [
{
"value": 1234,
"exact_match": True,
"exclude": False
}
],
"current_company_professional_network_urls": [
{
"value": "https://www.linkedin.com/company/fullenrich",
"exact_match": True,
"exclude": False
}
],
"current_company_specialties": [
{
"value": "artificial intelligence",
"exact_match": True,
"exclude": False
}
],
"current_company_industries": [
{
"value": "Software Development",
"exact_match": False,
"exclude": False
},
{
"value": "Computer Hardware Manufacturing",
"exact_match": False,
"exclude": False
}
],
"past_company_names": [
{
"value": "Meta",
"exact_match": True,
"exclude": False
}
],
"past_company_domains": [
{
"value": "facebook.com",
"exact_match": True,
"exclude": False
}
],
"current_company_types": [
{
"value": "Public Company",
"exact_match": True,
"exclude": False
}
],
"current_company_headquarters": [
{
"value": "San Francisco",
"exact_match": False,
"exclude": False
},
{
"value": "New York",
"exact_match": False,
"exclude": False
}
],
"current_company_headcounts": [
{
"min": 50,
"max": 200,
"exclude": False
},
{
"min": 1000,
"max": 5000,
"exclude": False
}
],
"current_company_founded_years": [
{
"min": 2020,
"max": 2024,
"exclude": False
}
],
"current_company_ids": [
{
"value": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"exclude": False,
"exact_match": True
}
],
"person_ids": [
{
"value": "746e4816-19c8-54d8-b558-65a5a52cc85c",
"exclude": False,
"exact_match": True
}
],
"person_names": [
{
"value": "John Smith",
"exact_match": False,
"exclude": False
}
],
"person_professional_network_ids": [
{
"value": 1234,
"exact_match": True,
"exclude": False
}
],
"person_professional_network_urls": [
{
"value": "https://www.linkedin.com/in/john-doe",
"exact_match": True,
"exclude": False
}
],
"person_locations": [
{
"value": "San Francisco",
"exact_match": False,
"exclude": False
},
{
"value": "California",
"exact_match": False,
"exclude": False
}
],
"person_languages": [
{
"value": "English",
"exact_match": False,
"exclude": False
},
{
"value": "French",
"exact_match": False,
"exclude": False
}
],
"person_skills": [
{
"value": "JavaScript",
"exact_match": False,
"exclude": False
},
{
"value": "Python",
"exact_match": False,
"exclude": False
},
{
"value": "Project Management",
"exact_match": False,
"exclude": False
}
],
"current_position_seniority_level": [
{
"value": "Director",
"exact_match": False,
"exclude": False
},
{
"value": "VP",
"exact_match": False,
"exclude": False
}
],
"current_position_job_functions": [
{
"value": "Software Development",
"exact_match": False,
"exclude": False
}
],
"current_position_sub_functions": [
{
"value": "Freelancer",
"exact_match": False,
"exclude": False
}
],
"current_position_titles": [
{
"value": "Chief Technology Officer",
"exact_match": False,
"exclude": False
},
{
"value": "VP of Engineering",
"exact_match": False,
"exclude": False
}
],
"past_position_titles": [
{
"value": "Software Engineer",
"exact_match": False,
"exclude": False
}
],
"current_position_years_in": [
{
"min": 0,
"max": 1,
"exclude": False
}
],
"current_company_years_at": [
{
"min": 2,
"max": 5,
"exclude": False
}
],
"person_universities": [
{
"value": "Stanford University",
"exact_match": False,
"exclude": False
},
{
"value": "MIT",
"exact_match": False,
"exclude": False
}
],
"current_company_days_since_last_job_change": [
{
"min": 0,
"max": 90,
"exclude": False
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
offset: 0,
limit: 20,
search_after: 'WzE1LjUzNDU2MywiYjQ5MDBiYmQtOTg5MS01Mzk1LWIyODUtOWEyOGNiZThjOTM3Il0=',
current_company_names: [
{value: 'Anthropic', exact_match: true, exclude: false},
{value: 'OpenAI', exact_match: true, exclude: false}
],
current_company_domains: [{value: 'google.com', exact_match: true, exclude: false}],
current_company_professional_network_ids: [{value: 1234, exact_match: true, exclude: false}],
current_company_professional_network_urls: [
{
value: 'https://www.linkedin.com/company/fullenrich',
exact_match: true,
exclude: false
}
],
current_company_specialties: [{value: 'artificial intelligence', exact_match: true, exclude: false}],
current_company_industries: [
{value: 'Software Development', exact_match: false, exclude: false},
{value: 'Computer Hardware Manufacturing', exact_match: false, exclude: false}
],
past_company_names: [{value: 'Meta', exact_match: true, exclude: false}],
past_company_domains: [{value: 'facebook.com', exact_match: true, exclude: false}],
current_company_types: [{value: 'Public Company', exact_match: true, exclude: false}],
current_company_headquarters: [
{value: 'San Francisco', exact_match: false, exclude: false},
{value: 'New York', exact_match: false, exclude: false}
],
current_company_headcounts: [{min: 50, max: 200, exclude: false}, {min: 1000, max: 5000, exclude: false}],
current_company_founded_years: [{min: 2020, max: 2024, exclude: false}],
current_company_ids: [
{
value: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
exclude: false,
exact_match: true
}
],
person_ids: [
{
value: '746e4816-19c8-54d8-b558-65a5a52cc85c',
exclude: false,
exact_match: true
}
],
person_names: [{value: 'John Smith', exact_match: false, exclude: false}],
person_professional_network_ids: [{value: 1234, exact_match: true, exclude: false}],
person_professional_network_urls: [
{
value: 'https://www.linkedin.com/in/john-doe',
exact_match: true,
exclude: false
}
],
person_locations: [
{value: 'San Francisco', exact_match: false, exclude: false},
{value: 'California', exact_match: false, exclude: false}
],
person_languages: [
{value: 'English', exact_match: false, exclude: false},
{value: 'French', exact_match: false, exclude: false}
],
person_skills: [
{value: 'JavaScript', exact_match: false, exclude: false},
{value: 'Python', exact_match: false, exclude: false},
{value: 'Project Management', exact_match: false, exclude: false}
],
current_position_seniority_level: [
{value: 'Director', exact_match: false, exclude: false},
{value: 'VP', exact_match: false, exclude: false}
],
current_position_job_functions: [{value: 'Software Development', exact_match: false, exclude: false}],
current_position_sub_functions: [{value: 'Freelancer', exact_match: false, exclude: false}],
current_position_titles: [
{value: 'Chief Technology Officer', exact_match: false, exclude: false},
{value: 'VP of Engineering', exact_match: false, exclude: false}
],
past_position_titles: [{value: 'Software Engineer', exact_match: false, exclude: false}],
current_position_years_in: [{min: 0, max: 1, exclude: false}],
current_company_years_at: [{min: 2, max: 5, exclude: false}],
person_universities: [
{value: 'Stanford University', exact_match: false, exclude: false},
{value: 'MIT', exact_match: false, exclude: false}
],
current_company_days_since_last_job_change: [{min: 0, max: 90, exclude: false}]
})
};
fetch('https://app.fullenrich.com/api/v2/people/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"people": [
{
"id": "746e4816-19c8-54d8-b558-65a5a52cc85c",
"full_name": "Enzo Romera",
"first_name": "Enzo",
"last_name": "Romera",
"location": {
"country": "United States",
"country_code": "US",
"city": "San Francisco",
"region": "California"
},
"social_profiles": {
"professional_network": {
"id": 1234,
"url": "https://www.linkedin.com/in/john-doe",
"handle": "john-doe",
"connection_count": 500
}
},
"educations": [
{
"school_name": "Stanford University",
"degree": "Bachelor of Science in Computer Science",
"start_at": "2015-09-01T00:00:00Z",
"end_at": "2019-06-01T00:00:00Z"
}
],
"languages": [
{
"language": "French",
"proficiency": "NATIVE_OR_BILINGUAL"
}
],
"skills": [
"JavaScript",
"Project Management",
"Python"
],
"employment": {
"current": {
"title": "Senior Software Engineer",
"seniority": "Senior",
"job_functions": [
{
"function": "Not Employed",
"sub_function": "Freelancer"
}
],
"description": "Leading the backend team and designing microservices architecture.",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Anthropic",
"domain": "anthropic.com",
"description": "AI safety and research company",
"year_founded": 2021,
"headcount": 2610,
"headcount_range": "1001-5000",
"company_type": "Privately Held",
"specialties": [
"Data Enrichment",
"B2B Data"
],
"locations": {
"headquarters": {
"line1": "548 Market St",
"line2": "San Francisco, CA 94105, US",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "111 8th Ave",
"line2": "New York, NY 10011, US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"professional_network": {
"id": 1234,
"url": "https://www.linkedin.com/company/anthropic",
"handle": "anthropic",
"connection_count": 125000
}
}
},
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"end_at": "2024-06-30T00:00:00Z"
},
"all": [
{
"title": "Senior Software Engineer",
"seniority": "Senior",
"job_functions": [
{
"function": "Not Employed",
"sub_function": "Freelancer"
}
],
"description": "Leading the backend team and designing microservices architecture.",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Anthropic",
"domain": "anthropic.com",
"description": "AI safety and research company",
"year_founded": 2021,
"headcount": 2610,
"headcount_range": "1001-5000",
"company_type": "Privately Held",
"specialties": [
"Data Enrichment",
"B2B Data"
],
"locations": {
"headquarters": {
"line1": "548 Market St",
"line2": "San Francisco, CA 94105, US",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "111 8th Ave",
"line2": "New York, NY 10011, US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"professional_network": {
"id": 1234,
"url": "https://www.linkedin.com/company/anthropic",
"handle": "anthropic",
"connection_count": 125000
}
}
},
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"end_at": "2024-06-30T00:00:00Z"
}
]
}
}
],
"metadata": {
"total": 20523,
"credits": 22.5,
"offset": 0,
"search_after": "WzE1LjUzNDU2MywiYjQ5MDBiYmQtOTg5MS01Mzk1LWIyODUtOWEyOGNiZThjOTM3Il0="
}
}Search People
Search for people based on various filters. Multiple filters within the same field are combined with AND logic.
Predefined Filter Values
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Number of people to skip (use this for pagination). Maximum value is 10,000. To paginate beyond 10,000 results, use search_after instead.
0
Number of people to return (default: 10, max: 100)
20
Cursor-based pagination. Pass the search_after value from the previous response to get the next page. Works at any point in the result set, but is required to access results beyond the 10,000 offset limit. The search_after token does not have any expiration date. However, when the database is updated (every month), if the position of a contact changes, the same search_after token might display different results.
"WzE1LjUzNDU2MywiYjQ5MDBiYmQtOTg5MS01Mzk1LWIyODUtOWEyOGNiZThjOTM3Il0="
Filter by current company names. Use exact_match for precise company name matching.
Show child attributes
Show child attributes
[
{
"value": "Anthropic",
"exact_match": true,
"exclude": false
},
{
"value": "OpenAI",
"exact_match": true,
"exclude": false
}
]
Filter by current company domains (e.g., 'google.com', 'microsoft.com'). Exact match recommended for domains.
Show child attributes
Show child attributes
[
{
"value": "google.com",
"exact_match": true,
"exclude": false
}
]
Filter by current company professional network IDs.
Show child attributes
Show child attributes
[
{
"value": 1234,
"exact_match": true,
"exclude": false
}
]
Filter by current company professional network URLs.
Show child attributes
Show child attributes
[
{
"value": "https://www.linkedin.com/company/fullenrich",
"exact_match": true,
"exclude": false
}
]
Filter by current company specialties.
Show child attributes
Show child attributes
[
{
"value": "artificial intelligence",
"exact_match": true,
"exclude": false
}
]
Filter by company industries (e.g., 'Software Development', 'Computer Hardware Manufacturing', 'Housing and Community Development', 'Warehousing'). See Industries for the full list.
Show child attributes
Show child attributes
[
{
"value": "Software Development",
"exact_match": false,
"exclude": false
},
{
"value": "Computer Hardware Manufacturing",
"exact_match": false,
"exclude": false
}
]
Filter by past company names. Useful for finding people with specific work history.
Show child attributes
Show child attributes
[
{
"value": "Meta",
"exact_match": true,
"exclude": false
}
]
Filter by past company domains
Show child attributes
Show child attributes
[
{
"value": "facebook.com",
"exact_match": true,
"exclude": false
}
]
Filter by company types (e.g., 'Public Company', 'Privately Held', 'Nonprofit', 'Self-Employed', 'Partnership', 'Educational', 'Government Agency'). See Company Types for the full list.
Show child attributes
Show child attributes
[
{
"value": "Public Company",
"exact_match": true,
"exclude": false
}
]
Filter by company headquarters locations (city names, regions, or countries)
Show child attributes
Show child attributes
[
{
"value": "San Francisco",
"exact_match": false,
"exclude": false
},
{
"value": "New York",
"exact_match": false,
"exclude": false
}
]
Filter by company size (number of employees). Use ranges to target specific company sizes.
Show child attributes
Show child attributes
[
{ "min": 50, "max": 200, "exclude": false },
{
"min": 1000,
"max": 5000,
"exclude": false
}
]
Filter by company founding year. Useful for targeting startups or established companies.
Show child attributes
Show child attributes
[
{
"min": 2020,
"max": 2024,
"exclude": false
}
]
Filter by specific company IDs
Show child attributes
Show child attributes
Filter by specific person IDs
Show child attributes
Show child attributes
Filter by person names (first name, last name, or full name)
Show child attributes
Show child attributes
[
{
"value": "John Smith",
"exact_match": false,
"exclude": false
}
]
Filter by person professional network IDs.
Show child attributes
Show child attributes
[
{
"value": 1234,
"exact_match": true,
"exclude": false
}
]
Filter by person professional network URLs.
Show child attributes
Show child attributes
[
{
"value": "https://www.linkedin.com/in/john-doe",
"exact_match": true,
"exclude": false
}
]
Filter by person locations (city, region, or country)
Show child attributes
Show child attributes
[
{
"value": "San Francisco",
"exact_match": false,
"exclude": false
},
{
"value": "California",
"exact_match": false,
"exclude": false
}
]
Filter by languages spoken by the person
Show child attributes
Show child attributes
[
{
"value": "English",
"exact_match": false,
"exclude": false
},
{
"value": "French",
"exact_match": false,
"exclude": false
}
]
Filter by skills (e.g., 'JavaScript', 'Python', 'Project Management')
Show child attributes
Show child attributes
[
{
"value": "JavaScript",
"exact_match": false,
"exclude": false
},
{
"value": "Python",
"exact_match": false,
"exclude": false
},
{
"value": "Project Management",
"exact_match": false,
"exclude": false
}
]
Filter by person seniority levels (e.g., 'Owner', 'Founder', 'C-level', 'Partner', 'VP', 'Head', 'Director', 'Senior', 'Manager'). See Seniority Levels for the full list.
Show child attributes
Show child attributes
[
{
"value": "Director",
"exact_match": false,
"exclude": false
},
{
"value": "VP",
"exact_match": false,
"exclude": false
}
]
Filter by current job functions (e.g., 'Administrative', 'Agriculture & Environment', 'Construction & Trades', ...). See Functions & Subfunctions for the full list.
Show child attributes
Show child attributes
[
{
"value": "Software Development",
"exact_match": false,
"exclude": false
}
]
Filter by current sub functions (e.g., 'Data Entry', 'Agriculture/Landscaping', 'Carpenter'). See Functions & Subfunctions for the full list.
Show child attributes
Show child attributes
[
{
"value": "Freelancer",
"exact_match": false,
"exclude": false
}
]
Filter by current job titles (e.g., 'Software Engineer', 'Product Manager', 'CEO')
Show child attributes
Show child attributes
[
{
"value": "Chief Technology Officer",
"exact_match": false,
"exclude": false
},
{
"value": "VP of Engineering",
"exact_match": false,
"exclude": false
}
]
Filter by past job titles. Useful for finding people who held specific roles.
Show child attributes
Show child attributes
[
{
"value": "Software Engineer",
"exact_match": false,
"exclude": false
}
]
Filter by years spent in current position. Useful for targeting people new in role or experienced.
Show child attributes
Show child attributes
[{ "min": 0, "max": 1, "exclude": false }]
Filter by years at current company (tenure). Useful for targeting new hires or long-term employees.
Show child attributes
Show child attributes
[{ "min": 2, "max": 5, "exclude": false }]
Filter by universities attended (e.g., 'Stanford University', 'MIT', 'Harvard')
Show child attributes
Show child attributes
[
{
"value": "Stanford University",
"exact_match": false,
"exclude": false
},
{
"value": "MIT",
"exact_match": false,
"exclude": false
}
]
Filter by days since last job change. Useful for finding people who recently changed jobs.
Show child attributes
Show child attributes
[{ "min": 0, "max": 90, "exclude": false }]
Was this page helpful?